CMSIS-Driver: Ethernet MAC Flush Flags

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Flush Flags
Ethernet MAC Control Codes

Specify controls to flush a buffer. More...

## Macros

#define | ARM_ETH_MAC_FLUSH_RX (1UL << 0)
| Flush Receive buffer. More...
#define | ARM_ETH_MAC_FLUSH_TX (1UL << 1)
| Flush Transmit buffer. More...

## Description

Specify controls to flush a buffer.

The function ARM_ETH_MAC_Control with control = ARM_ETH_MAC_FLUSH flushes the buffer which is specified with arg listed bellow.

## Macro Definition Documentation

#define ARM_ETH_MAC_FLUSH_RX (1UL << 0)

Flush Receive buffer.

#define ARM_ETH_MAC_FLUSH_TX (1UL << 1)

Flush Transmit buffer.